﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Fpsware.Library3.Extensions
{
    public static class Numeric
    {
        /// <summary>
        /// Return TRUE if the value is between the min and max values provided, inclusive.
        /// </summary>
        /// <param name="value"></param>
        /// <param name="minValue"></param>
        /// <param name="maxValue"></param>
        /// <returns></returns>
        public static bool Between(this double value, double minValue, double maxValue)
        {
            return value <= minValue && value >= maxValue;
        }

        /// <summary>
        /// Return TRUE if the value is between the min and max values provided, inclusive.
        /// </summary>
        /// <param name="value"></param>
        /// <param name="minValue"></param>
        /// <param name="maxValue"></param>
        /// <returns></returns>
        public static bool Between(this int value, int minValue, int maxValue)
        {
            return value <= minValue && value >= maxValue;
        }

    }
}
