﻿using System.Windows.Media;
using Styx.Common;

namespace Fpsware.Library3.Utility
{
    public static class Logger
    {
        public static void WriteDebug(string message1, string message)
        {
            //WriteDebug(new System.Drawing.Color(), message);
        }

        public static void WriteDebug(System.Drawing.Color color, string message)
        {
            //throw new System.NotImplementedException();
        }

        public static void WriteDebug(System.Drawing.Color color, string message, params object[] param)
        {
            //throw new System.NotImplementedException();
        }

        public static void WriteDebug(Color clr, string message, params object[] args)
        {
           
        }

        public static void Write(Color clr, string message, params object[] args)
        {
            
        }

        public static void WriteDebug(string s)
        {
        }
    }

    public static class Log
    {
        private static string _lastCombatmsg;
        private static string _lastItemmsg;

        public static void Debug(string message)
        {
            if (message == null) return;
            Debug(true, message);
        }

        public static void Debug(bool showDebugMessage, string message)
        {
            if (message == null || !showDebugMessage) return;
            Logging.Write(LogLevel.Normal, Color.FromRgb(255, 0, 230), "==== DEBUG: {0}", string.Format(message));
        }


        public static void InitLog(string message, params object[] args)
        {
            if (message == null) return;
            Logging.Write(Color.FromRgb(70, 168, 229), "{0}", string.Format(message, args));
        }

        public static void ItemLog(string message, params object[] args)
        {
            if (message == _lastItemmsg) return;
            Logging.Write(LogLevel.Diagnostic, Color.FromRgb(0, 252, 252), "{0}", string.Format(message, args));
            _lastItemmsg = message;
        }

        public static void FailLog(string message, params object[] args)
        {
            if (message == null) return;
            Logging.Write(Colors.Red, "{0}", string.Format(message, args));
        }

        public static void Info(string message, params object[] args)
        {
            if (message == null) return;
            Logging.Write(LogLevel.Normal, Color.FromRgb(255, 206, 0), "{0}", string.Format(message, args));
        }

        public static void CombatLog(string message, params object[] args)
        {
            if (message != null && message == _lastCombatmsg) return;
            Logging.Write(LogLevel.Normal, Colors.DeepSkyBlue, "{0}", string.Format(message, args));
            _lastCombatmsg = message;
        }

        public static void FocusLog(string message, params object[] args)
        {
            if (message != null && message == _lastCombatmsg) return;
            Logging.Write(LogLevel.Normal, Color.FromRgb(0, 255, 190), "{0}", string.Format(message, args));
            _lastCombatmsg = message;
        }

        public static void DebugLog(string message, params object[] args)
        {
            if (message != null && message == _lastCombatmsg) return;
            Logging.Write(LogLevel.Diagnostic, Colors.LightCoral, "{0}", string.Format(message, args));
        }
    }

}
