﻿using Styx;
using Styx.Common;
using Styx.Helpers;

namespace Fpsware.Botbases.RAFBot2
{
    class GlobalSetting : Settings
    {
        private static GlobalSetting _instance;
        public GlobalSetting() : base(SettingsPath + ".xml") { }
        public GlobalSetting(string settingsPath) : base(settingsPath) { }
        private static string SettingsPath { get { return string.Format("{0}\\Settings\\Fpsware RAF Bot\\GlobalSettings", Utilities.AssemblyDirectory); } }
        public static GlobalSetting Instance { get { return _instance ?? (_instance = new GlobalSetting()); } }


        [Setting, DefaultValue("Disabled")]
        public string AutoUpdate { get; set; }

        
        [Setting, DefaultValue("")]
        public string EncounterLogic { get; set; }
        
    }
}
